Résoudre les erreurs SSL lors de l’utilisation de Composer sur OVH Mutualisé ?

cover-utiliser-ssl-laravel-composer-ovh-mutu

Lorsqu’on travaille avec Laravel, on utiliser Composer pour gérer les packages, problème souvent rencontré sur les hébergements OVH, c’est qu’au moment de télécharger les packages sur un dépôt Github par exemple, on obtient une belle erreur : SSL operation failed with code 1.

SSL-error-composer

En fait la raison est que par défaut, les environnements des hébergements OVH sont en mode « Legacy » alors que certains sites ne supportent que les protocoles à jour.

On va donc passer notre environnement OVH en mode « stable » pour profiter automatiquement des dernières mises à jour stable 😉

Pour cela, rendez-vous sur votre espace OVH, sur votre hébergement afin de changer la configuration courante :

Ovh-env-stable-1

Ovh-env-stable-2

Là, on va pouvoir sélectionner l’environnement d’exécution « stable«  :

Ovh-env-stable-3

Une fois enregistré, on peut vérifier sur notre hébergement OVH qu’on est bien passé en « stable » :

Lorsqu’on se connecte en SSH, on peut le voir également, et tout se passe comme prévu, plus d’erreur !

Voilà, vous n’aurez plus de problème de se genre et vous pourrez récupérer les packages dont vous avez besoin sans souci 😉


Cette manipulation résout pas mal de type d’erreur liées à la récupération de fichier, notamment avec la fonction PHP file_get_contents … Recherche associée : File_get_contents https SSL operation failed

2 réflexions au sujet de « Résoudre les erreurs SSL lors de l’utilisation de Composer sur OVH Mutualisé ? »

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *